r2899 - trunk/bootscripts/blfs/init.d

larry at linuxfromscratch.org larry at linuxfromscratch.org
Fri Nov 5 09:41:31 PST 2004


Author: larry
Date: 2004-11-05 10:41:30 -0700 (Fri, 05 Nov 2004)
New Revision: 2899

Modified:
   trunk/bootscripts/blfs/init.d/nas
Log:
modified nas bootscript to use functions in start

Modified: trunk/bootscripts/blfs/init.d/nas
===================================================================
--- trunk/bootscripts/blfs/init.d/nas	2004-11-05 17:38:15 UTC (rev 2898)
+++ trunk/bootscripts/blfs/init.d/nas	2004-11-05 17:41:30 UTC (rev 2899)
@@ -13,19 +13,20 @@
 case "$1" in
         start)
                 echo "Starting the Network Audio System Server..."
-                pidof nasd
-                if test $? = "0"
-                then
-                        print_status warning running
-                else
-                        /usr/X11R6/bin/nasd -aa &
-                        pidof /usr/X11R6/bin/nasd
-                        if test $? = "0" ; then
-                                print_status success
-                        else
-                                print_status failure
-                        fi
-                fi
+		loadproc /usr/X11R6/bin/nasd -aa -b
+#                pidof nasd
+#                if test $? = "0"
+#                then
+#                        print_status warning running
+#                else
+#                        /usr/X11R6/bin/nasd -aa &
+#                        pidof /usr/X11R6/bin/nasd
+#                        if test $? = "0" ; then
+#                                print_status success
+#                        else
+#                                print_status failure
+#                        fi
+#                fi
 		;;
 
         stop)




More information about the blfs-book mailing list